## Enumerations Enumerations — Public enumerated types used throughout OGMRip |

## Types and Values

enum | OGMRipVideoPreset
enum | OGMRipFormatType
enum | OGMRipScalerType
enum | OGMRipDeintType
enum | OGMRipQualityType
enum | OGMRipCharset
enum | OGMRipNewline
enum | OGMRipAudioDemuxer
enum | OGMRipSubpDemuxer

## Description

## Functions

## Types and Values

### enum OGMRipVideoPreset

Available video presets.

#### Members

OGMRIP_VIDEO_PRESET_EXTREME | Extreme preset |
OGMRIP_VIDEO_PRESET_HIGH | High preset |
OGMRIP_VIDEO_PRESET_NORMAL | Normal preset |
OGMRIP_VIDEO_PRESET_USER | User defined preset |

### enum OGMRipFormatType

The formats supported by OGMRip.

#### Members

OGMRIP_FORMAT_MPEG1 | The Mpeg-1 video format |
OGMRIP_FORMAT_MPEG2 | The Mpeg-2 video format |
OGMRIP_FORMAT_MPEG4 | The Mpeg-4 video format |
OGMRIP_FORMAT_H264 | The H264 video format |
OGMRIP_FORMAT_THEORA | The Ogg Theora video format |
OGMRIP_FORMAT_DIRAC | The Dirac video format |
OGMRIP_FORMAT_PCM | The PCM audio format |
OGMRIP_FORMAT_MP3 | The MP3 audio format |
OGMRIP_FORMAT_AC3 | The AC3 audio format |
OGMRIP_FORMAT_DTS | The DTS audio format |
OGMRIP_FORMAT_AAC | The AAC audio format |
OGMRIP_FORMAT_VORBIS | The Ogg Vorbis audio format |
OGMRIP_FORMAT_MICRODVD | The MicroDVD subtitle format |
OGMRIP_FORMAT_SUBRIP | The SubRip subtitle format |
OGMRIP_FORMAT_SRT | The SRT subtitle format |
OGMRIP_FORMAT_SAMI | The SAMI subtitle format |
OGMRIP_FORMAT_VPLAYER | The VPlayer subtitle format |
OGMRIP_FORMAT_RT | The RT subtitle format |
OGMRIP_FORMAT_SSA | The SSA subtitle format |
OGMRIP_FORMAT_PJS | The RJS subtitle format |
OGMRIP_FORMAT_MPSUB | The Mplayer subtitle format |
OGMRIP_FORMAT_AQT | The AQT subtitle format |
OGMRIP_FORMAT_SRT_2_0 | The SRT version 2 subtitle format |
OGMRIP_FORMAT_SUBRIP_0_9 | The SubRip version 0.9 subtitle format |
OGMRIP_FORMAT_JACOSUB | The JacoSub subtitle format |
OGMRIP_FORMAT_MPL_2 | The MPlayer version subtitle format |
OGMRIP_FORMAT_VOBSUB | The VobSub subtitle format |
OGMRIP_FORMAT_COPY | A format for internal use only |
OGMRIP_FORMAT_LPCM | The LPCM audio format |
OGMRIP_FORMAT_BPCM | The BPCM audio format |
OGMRIP_FORMAT_MP12 | The MP12 video format |
OGMRIP_FORMAT_MJPEG | The MJPEG video format |
OGMRIP_FORMAT_FLAC | The Flac audio format |
OGMRIP_FORMAT_VP8 | The VP8 video format |

### enum OGMRipScalerType

Available software scalers.

#### Members

OGMRIP_SCALER_FAST_BILINEAR | Fast bilinear |
OGMRIP_SCALER_BILINEAR | Bilinear |
OGMRIP_SCALER_BICUBIC | Bicubic (good quality) |
OGMRIP_SCALER_EXPERIMENTAL | Experimental |
OGMRIP_SCALER_NEAREST_NEIGHBOUR | Nearest neighbour (bad quality) |
OGMRIP_SCALER_AREA | Area |
OGMRIP_SCALER_LUMA_BICUBIC_CHROMA_BILINEAR | Luma bicubic / Chroma bilinear |
OGMRIP_SCALER_GAUSS | Gauss (best for downscaling) |
OGMRIP_SCALER_SINCR | SincR |
OGMRIP_SCALER_LANCZOS | Lanczos |
OGMRIP_SCALER_BICUBIC_SPLINE | Natural bicubic spline |

### enum OGMRipDeintType

Available deinterlacer filters.

#### Members

OGMRIP_DEINT_NONE | No deinterlacing |
OGMRIP_DEINT_LINEAR_BLEND | Linear blend |
OGMRIP_DEINT_LINEAR_INTERPOLATING | Linear interpolating |
OGMRIP_DEINT_CUBIC_INTERPOLATING | Cubic interpolating |
OGMRIP_DEINT_MEDIAN | Median |
OGMRIP_DEINT_FFMPEG | FFMpeg |
OGMRIP_DEINT_LOWPASS | Lowpass |
OGMRIP_DEINT_KERNEL | Kernel |
OGMRIP_DEINT_YADIF | Yadif (best) |

### enum OGMRipQualityType

Available quality presets.

#### Members

OGMRIP_QUALITY_EXTREME | Extreme quality |
OGMRIP_QUALITY_HIGH | High quality |
OGMRIP_QUALITY_NORMAL | Normal quality |
OGMRIP_QUALITY_USER | User quality |

### enum OGMRipCharset

Available character sets.

#### Members

OGMRIP_CHARSET_UTF8 | UTF-8 charset |
OGMRIP_CHARSET_ISO8859_1 | ISO8859-1 charset |
OGMRIP_CHARSET_ASCII | ASCII |

### enum OGMRipNewline

Available end-of-line styles.

#### Members

OGMRIP_NEWLINE_LF | Line feed only |
OGMRIP_NEWLINE_CR_LF | Carriage return + line feed |
OGMRIP_NEWLINE_CR | Carriage return only |

### enum OGMRipAudioDemuxer

The audio demuxer to be used when embedding the stream.

#### Members

OGMRIP_AUDIO_DEMUXER_AUTO | The demuxer is autodetected |
OGMRIP_AUDIO_DEMUXER_AC3 | The AC3 demuxer must be used |
OGMRIP_AUDIO_DEMUXER_DTS | The DTS demuxer must be used |

### enum OGMRipSubpDemuxer

The subtitle demuxer to be used when embedding the stream.

#### Members

OGMRIP_SUBP_DEMUXER_AUTO | The demuxer is autodetected |
OGMRIP_SUBP_DEMUXER_VOBSUB | The VobSub demuxer must be used |